searchData={"items":[{"type":"extras","title":"Kiosk System for Raspberry Pi 5 Model B (64-bit)","doc":"# Kiosk System for Raspberry Pi 5 Model B (64-bit)\n\n[![Hex version](https://img.shields.io/hexpm/v/kiosk_system_rpi5.svg \"Hex version\")](https://hex.pm/packages/kiosk_system_rpi5)\n[![CI](https://github.com/nerves-web-kiosk/kiosk_system_rpi5/actions/workflows/ci.yml/badge.svg)](https://github.com/nerves-web-kiosk/kiosk_system_rpi5/actions/workflows/ci.yml)\n[![REUSE status](https://api.reuse.software/badge/github.com/nerves-web-kiosk/kiosk_system_rpi5)](https://api.reuse.software/info/github.com/nerves-web-kiosk/kiosk_system_rpi5)\n\nThis is a specialised version of the\n[nerves_system_rpi5](https://github.com/nerves-project/nerves_system_rpi5) that\nincludes the required packages to run a fullscreen web browser in kiosk mode.\n\nThis is a work-in-progress to bring a maintained open source web kiosk back to\nNerves. Thanks to the following people and their code that they shared:\n\n- [Tim Cooper's RPi4 Kiosk](https://github.com/coop/kiosk_system_rpi4)\n- [Tom Winkler's reTerminal DM Kiosk](https://github.com/formrausch/frio_rpi4)\n\nThe documentation here is out of date, but the example works.","ref":"readme.html"},{"type":"extras","title":"Using - Kiosk System for Raspberry Pi 5 Model B (64-bit)","doc":"The most common way of using this Nerves System is create a project with `mix\nnerves.new my_kiosk_app --target rpi5` and to export `MIX_TARGET=rpi5`.\n\nThen, change the rpi5 system dependency to `{:kiosk_system_rpi5, \"~> 0.1.0\",\nruntime: false, targets: :rpi5}`.","ref":"readme.html#using"},{"type":"extras","title":"Kiosk Example - Kiosk System for Raspberry Pi 5 Model B (64-bit)","doc":"Please see the\n[kiosk_example](https://github.com/nerves-web-kiosk/kiosk_example) project for\nan example of how to use this in a Nerves project.","ref":"readme.html#kiosk-example"},{"type":"extras","title":"RP1 PIO - Kiosk System for Raspberry Pi 5 Model B (64-bit)","doc":"The `rpi1-pio` device driver allows use of the PIO hardware using\n[`piolib`](https://github.com/raspberrypi/utils/tree/master/piolib). If you\ndon't see `/dev/pio0`, the most likely cause is that you need to update your\nRaspberry Pi's boot EEPROM. See\n[rpi-eeprom](https://github.com/raspberrypi/rpi-eeprom) for binaries. It may be\neasier to upgrade the EEPROM via RaspberryPi OS if the instructions aren't\nclear.","ref":"readme.html#rp1-pio"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nThis project does NOT follow semantic versioning. The version increases as\nfollows:\n\n1. Major version updates are breaking updates to the build infrastructure.\n   These should be very rare.\n2. Minor version updates are made for every major Buildroot release. This\n   may also include Erlang/OTP and Linux kernel updates. These are made four\n   times a year shortly after the Buildroot releases.\n3. Patch version updates are made for Buildroot minor releases, Erlang/OTP\n   releases, and Linux kernel updates. They're also made to fix bugs and add\n   features to the build infrastructure.","ref":"changelog.html"},{"type":"extras","title":"v0.3.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.30.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.30.0)\nfor upgrade instructions if you've forked this system.\n\n* Changes\n  * Enable support for the RP1's PIO feature\n  * Add REUSE compliance to help improve OSS copyright and licensing accuracy\n  * Update Raspberry Pi libraries and firmware to latest releases\n\n* Updated dependencies\n  * [Erlang/OTP 27.3](https://erlang.org/download/OTP-27.3.README.md)\n  * [Buildroot 2024.11.2](https://lore.kernel.org/buildroot/87v7t3nyls.fsf@dell.be.48ers.dk/T/)\n  * Linux 6.6.74 (Raspberry Pi 1.20250127 release)\n  * rpicam-apps 1.5.3\n  * rpi-libcamera v0.3.2+rpt20241119\n  * rpi-distro-firmware-nonfree 1:20230625-2+rpt3","ref":"changelog.html#v0-3-0"},{"type":"extras","title":"v0.2.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Changes\n  * Support the CM5 and any other devices that use the BCM2712D0\n  * Support the use of NVME SSDs\n  * Enable the RP1 PIO driver. This likely also requires the bootloader to be\n    updated to use\n\n* Updated dependencies\n  * [nerves_system_br v1.29.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.29.3)\n  * [Buildroot 2024.08.3](https://lore.kernel.org/buildroot/874j3e17ek.fsf@dell.be.48ers.dk/T/)\n  * [Erlang/OTP 27.2](https://erlang.org/download/OTP-27.2.README)\n  * Linux 6.6.64 with the Raspberry Pi and PREEMPT_RT patches\n  * [fwup v1.12.0](https://github.com/fwup-home/fwup/releases/tag/v1.12.0)","ref":"changelog.html#v0-2-1"},{"type":"extras","title":"v0.2.0 - Changelog","doc":"This is a Buildroot and Linux kernel update release.\n\n* Updated dependencies\n  * [nerves_system_br v1.29.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.29.1)\n  * [Buildroot 2024.08.2](https://lore.kernel.org/buildroot/871pzex7gn.fsf@dell.be.48ers.dk/T/)\n  * linux 6.6.51","ref":"changelog.html#v0-2-0"},{"type":"extras","title":"v0.1.2 - Changelog","doc":"This is a security/bug fix update.\n\n* Updated dependencies\n  * [nerves_system_br v1.28.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.28.3)\n  * [Buildroot 2024.05.2](https://lore.kernel.org/buildroot/87zfpfh147.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v0-1-2"},{"type":"extras","title":"v0.1.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Package updates\n  * [nerves_system_br v1.28.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.28.2)\n  * [Buildroot 2024.05.1](https://lore.kernel.org/buildroot/87ed7xfq78.fsf@dell.be.48ers.dk/T/)\n  * [Erlang/OTP 27.0.1](https://erlang.org/download/OTP-27.0.1.README)","ref":"changelog.html#v0-1-1"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"This is an initial release to make it easier for more people to test Nerves web\nkiosks on the Raspberry Pi 5. Future releases will likely be incompatible to\nexpand the root filesystem and this one might have some frustrating bugs.","ref":"changelog.html#v0-1-0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}